IMessageKeyVerifier (Compiler assisted localization library (CAL10N) - Parent 0.7.7 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.qos.cal10n.verifier
Interface IMessageKeyVerifier

All Known Implementing Classes:
  MessageKeyVerifier

    public interface IMessageKeyVerifier

An interface for verifying that given an enum type, the keys match those found in the corresponding resource bundles.

See also `MessageKeyVerifier` for a concrete implementation.

Author:
  Ceki Gülcü

Method Summary
`String` | `getBaseName()` Get the base name for the resource bundle family as specified in the enumType (via annotations)
`Class<? extends Enum<?>>` | `getEnumType()` Get the of enum type that this verifier is related to to.
`String` | `getEnumTypeAsStr()` Get the name of enum type to this verifier is related to to.
`String[]` | `getLocaleNames()` Get the locales specified in the enumType (via annotations)
`List<String>` | `typeIsolatedVerify(Locale locale)` Same as `verify(Locale)` except that the return type is List.
`List<Cal10nError>` | `verify(Locale locale)` Verify that the keys defined in the enumClass match those found in the resource bundle corresponding to a certain locale
`List<Cal10nError>` | `verifyAllLocales()` Verify that the keys defined in the enumClass match those found in the corresponding resource bundle for all locales declared in the enum type via the @`LocaleData` annotation.

Method Detail

### getEnumType

    Class<? extends Enum<?>> getEnumType()

  Get the of enum type that this verifier is related to to.

  Returns:

### getEnumTypeAsStr

    String getEnumTypeAsStr()

  Get the name of enum type to this verifier is related to to.

  Returns:

### verify

    List<Cal10nError> verify(Locale locale)

  Verify that the keys defined in the enumClass match those found in the resource bundle corresponding to a certain locale

  Parameters:
    `locale` -
  Returns:

### verifyAllLocales

    List<Cal10nError> verifyAllLocales()

  Verify that the keys defined in the enumClass match those found in the corresponding resource bundle for all locales declared in the enum type via the @`LocaleData` annotation.

  Parameters:
    `locale` -
  Returns:

### typeIsolatedVerify

    List<String> typeIsolatedVerify(Locale locale)

  Same as `verify(Locale)` except that the return type is List.

  Parameters:
    `locale` -
  Returns:

### getLocaleNames

    String[] getLocaleNames()

  Get the locales specified in the enumType (via annotations)

  Returns:

### getBaseName

    String getBaseName()

  Get the base name for the resource bundle family as specified in the enumType (via annotations)

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009-2013 QOS.ch. All Rights Reserved.